=== debian/control ===
Source: ros-galactic-ament-pep257
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ament-pep257
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, pydocstyle, ros-galactic-ament-lint, ros-galactic-ros-workspace
Description: The ability to check code against the style conventions in PEP 8 and generate xUnit test result files.
